package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewAdvertisingLimitDb(engine *xorm.Engine) dao.AdvertisingLimitDao {
	return &AdvertisingLimitDb{Db: engine}
}

type AdvertisingLimitDb struct {
	Db *xorm.Engine
}

func (a AdvertisingLimitDb) GetAdvertisingLimit() (m *model.AdvertisingLimit, err error) {
	m = new(model.AdvertisingLimit)
	has, err := a.Db.Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
