package model

type ModuleStyle struct {
	ModId          int    `json:"mod_id" xorm:"not null pk autoincr INT(10)"`
	ModName        string `json:"mod_name" xorm:"not null default '' comment('模块名称') VARCHAR(250)"`
	Position       string `json:"position" xorm:"not null default '' comment('位置') VARCHAR(250)"`
	SkipIdentifier string `json:"skip_identifier" xorm:"not null default '' comment('跳转标识') VARCHAR(250)"`
	Title          string `json:"title" xorm:"not null default '' comment('标题') VARCHAR(128)"`
	Subtitle       string `json:"subtitle" xorm:"not null default '' comment('副标题') VARCHAR(255)"`
	Data           string `json:"data" xorm:"comment('内容') LONGTEXT"`
	CreateAt       string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') TIMESTAMP"`
	UpdateAt       string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') TIMESTAMP"`
}
