package dao

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

type UserTagDao interface {
	//TODO:: You can add specific method definitions here
	UserTagAllByAsc() ([]*model.UserTag, error)
	UserTagAllByAscByPage(page, limit int) (*[]model.UserTag, int64, error)
	UserTagUpdate(id interface{}, userTag *model.UserTag, forceColumns ...string) (int64, error)
	UserTagDeleteBySession(session *xorm.Session, tagID interface{}) (int64, error)
	UserTagInsert(userTag *model.UserTag) (int, error)
}
