package model

import (
	"time"
)

type UserNoticeTime struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid             int       `json:"uid" xorm:"default 0 INT(11)"`
	LoginNoticeTime time.Time `json:"login_notice_time" xorm:"DATETIME"`
	SignNoticeTime  time.Time `json:"sign_notice_time" xorm:"DATETIME"`
	LoginTime       time.Time `json:"login_time" xorm:"DATETIME"`
	SignTime        time.Time `json:"sign_time" xorm:"DATETIME"`
}
